Skip to main content
POST
/
v1
/
projects
Create a project
curl --request POST \
  --url https://api.polpo.sh/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orgId": "550e8400-e29b-41d4-a716-446655440000",
  "name": "My Project",
  "slug": "my-project"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "status": "active",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Session token from Better Auth

Body

application/json
orgId
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
required
Required string length: 1 - 100
Example:

"My Project"

slug
string
required
Required string length: 1 - 50
Pattern: ^[a-z0-9-]+$
Example:

"my-project"

Response

Project created

id
string<uuid>
required
orgId
string<uuid>
required
name
string
required
slug
string
required
status
enum<string>
required
Available options:
active,
suspended,
deleted
createdAt
string
required
updatedAt
string
required